
QGIS Application - Bug report #9200

Failure to display orthoimagery on windows in png or jpg format

2013-12-11 09:07 AM - landry Landry Breuil

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17828

Description

Fully reproducible on two qgis 2.0.1 installs on windows, try to load the public 'http://wms.craig.fr/ortho' server, add 'auvergne' layer -> the

small icon in the layer list looks broken, and no data is displayed - on the serverside, the request looks perfectly valid, and if i load the

generated request in a browser it displays data fine.

http://wms.craig.fr//ortho?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=621667.27140021545346826

6388639.83720535971224308,823080.0557114869588986,6636911.02997468691319227&#38;CRS=EPSG:2154&#38;WIDTH=640&#38;HEIGHT=790&#38;LAYERS=auvergne&#38;STYLES=&#38;FORMAT=image/png&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORM

#38;HEIGHT=790&#38;LAYERS=auvergne&#38;STYLES=&#38;FORMAT=image/png&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE

8;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE is the request generated by qgis on windows.

It fails the same with jpg format, but works fine if i select tiff or png24.

Doing the same thing on qgis 2.0.1 on OpenBSD works without issue (for all image formats), so i'd suspect a windows/platform-specific

issue in qgis here.

History

#1 - 2013-12-11 10:11 AM - Giovanni Manghi

- Category set to Web Services clients/WMS

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - High Priority

here, on Windows 64bit and qgis 64bit (both 2.0 and master) it works as expected.

The server seems to have a limit about the size/resolution of the image that can be served. If you shrink the qgis window the image will show...

#2 - 2013-12-11 01:50 PM - Jukka Rahkonen

Works for me on 32-bit Windows and QGIS 2.0.1.

#3 - 2013-12-12 01:36 AM - landry Landry Breuil

- Target version changed from Future Release - High Priority to Version 2.0.0

yes i have a limit on the server to prevent insane usage (ie MAXSIZE 3600 in mapfile) but the requests made by qgis instances on windows are reasonable

in size.. and the exact same request (ie loading the layer, then zooming to its extent) works fine on openbsd.
#4 - 2013-12-12 02:56 AM - Giovanni Manghi

landry - wrote:

works fine on openbsd.

and works fine here on both Linux and Windows.

#5 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-06-21 02:53 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for lack of feedback.
